Android Smart Phone (Port Coquitlam)

Jan 28, 2018
287 days ago
Want

I am looking for an older Android SmartPhone to use as a controller for a drone.

It requires Version 4.4 (Kitkat), or higher O/S, an intact and operational touch-screen, USB port and Wi-Fi.

Functional cellular and audio functions are NOT required.


To reply to this request and browse free items in your area,
Join Now!
jim1147
0 Offers / 0 Wants (30 days)
Member since 2017-08-03

No Recent Posts